## mx-system-sounds 26.1mx25

=== CMakeLists.txt ===
# **********************************************************************
# * Copyright (C) 2016-2025 MX Authors
# *
# * Authors: Adrian
# *          MX Linux <http://mxlinux.org>
# *
# * This file is part of mx-system-sounds.
# *
# * mx-system-sounds is free software: you can redistribute it and/or modify
# * it under the terms of the GNU General Public License as published by
# * the Free Software Foundation, either version 3 of the License, or
# * (at your option) any later version.
# *
# * mx-system-sounds is distributed in the hope that it will be useful,
# * but WITHOUT ANY WARRANTY; without even the implied warranty of
# * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# * GNU General Public License for more details.
# *
# * You should have received a copy of the GNU General Public License
# * along with mx-system-sounds.  If not, see <http://www.gnu.org/licenses/>.
# **********************************************************************/

cmake_minimum_required(VERSION 3.16)

# Get version from debian/changelog
execute_process(
    COMMAND dpkg-parsechangelog -SVersion
    WORKING_DIRECTORY ${CMAKE_SOURCE_DIR}
    OUTPUT_VARIABLE PROJECT_VERSION_FROM_CHANGELOG
    OUTPUT_STRIP_TRAILING_WHITESPACE
    RESULT_VARIABLE DPKG_RESULT
)

if(NOT DPKG_RESULT EQUAL 0)
    message(FATAL_ERROR "Failed to get version from debian/changelog using dpkg-parsechangelog")
endif()

# Convert MX version format to CMake-compatible format
# Extract numeric part before any non-numeric characters
string(REGEX REPLACE "^([0-9]+\\.?[0-9]*\\.?[0-9]*\\.?[0-9]*).*" "\\1" CMAKE_COMPATIBLE_VERSION "${PROJECT_VERSION_FROM_CHANGELOG}")

project(mx-system-sounds
    VERSION ${CMAKE_COMPATIBLE_VERSION}
    DESCRIPTION "System sound configuration tool for MX Linux"
    LANGUAGES CXX
)

# Set C++ standard
set(CMAKE_CXX_STANDARD 20)
set(CMAKE_CXX_STANDARD_REQUIRED ON)

# Enable compile commands export for IDEs and tools
set(CMAKE_EXPORT_COMPILE_COMMANDS ON)

# Optimize for Ninja builds
if(CMAKE_GENERATOR STREQUAL "Ninja")
    # Enable colored output for Ninja
    if(CMAKE_CXX_COMPILER_ID STREQUAL "GNU")
        add_compile_options(-fdiagnostics-color=always)
    elseif(CMAKE_CXX_COMPILER_ID STREQUAL "Clang")
        add_compile_options(-fcolor-diagnostics)
    endif()
endif()

# Option to use clang for testing builds
option(USE_CLANG "Use clang compiler" OFF)
if(USE_CLANG)
    set(CMAKE_C_COMPILER clang)
    set(CMAKE_CXX_COMPILER clang++)
    set(CMAKE_CXX_COMPILER_ID "Clang")
    message(STATUS "Using clang compiler")
endif()

# Find Qt6 components
find_package(Qt6 REQUIRED COMPONENTS
    Core
    Gui
    Widgets
    LinguistTools
)

# Enable automatic MOC, UIC, and RCC processing
set(CMAKE_AUTOMOC ON)
set(CMAKE_AUTOUIC ON)
set(CMAKE_AUTORCC ON)

# Define source files
set(SOURCES
    main.cpp
    mainwindow.cpp
    about.cpp
)

set(HEADERS
    mainwindow.h
    about.h
)

set(UI_FILES
    mainwindow.ui
)

set(RESOURCE_FILES
    images.qrc
)

# Get all translation files
file(GLOB TRANSLATION_FILES "translations/*.ts")

# Create the executable
add_executable(mx-system-sounds
    ${SOURCES}
    ${HEADERS}
    ${UI_FILES}
    ${RESOURCE_FILES}
)

# Link Qt6 libraries
target_link_libraries(mx-system-sounds
    Qt6::Core
    Qt6::Gui
    Qt6::Widgets
)

# Set compiler flags
target_compile_options(mx-system-sounds PRIVATE
    -Wpedantic
    -pedantic
    -Werror=return-type
    -Werror=switch
    -Werror=uninitialized
    -Werror
)

# Add compiler-specific flags
if(CMAKE_CXX_COMPILER_ID STREQUAL "Clang" OR USE_CLANG)
    target_compile_options(mx-system-sounds PRIVATE -Werror=return-stack-address)
else()
    target_compile_options(mx-system-sounds PRIVATE -Werror=return-local-addr)
endif()

# Set compile definitions
target_compile_definitions(mx-system-sounds PRIVATE
    QT_DEPRECATED_WARNINGS
    QT_DISABLE_DEPRECATED_BEFORE=0x060000
    VERSION="${PROJECT_VERSION_FROM_CHANGELOG}"
)

# Release-specific optimizations
if(CMAKE_BUILD_TYPE STREQUAL "Release")
    target_compile_definitions(mx-system-sounds PRIVATE NDEBUG)
    target_compile_options(mx-system-sounds PRIVATE -O3)

    # Add LTO - different flags for different compilers
    if(CMAKE_CXX_COMPILER_ID STREQUAL "Clang" OR USE_CLANG)
        target_compile_options(mx-system-sounds PRIVATE -flto=thin)
        target_link_options(mx-system-sounds PRIVATE -flto=thin)
    else()
        target_compile_options(mx-system-sounds PRIVATE -flto=auto)
        target_link_options(mx-system-sounds PRIVATE -flto=auto)
    endif()
endif()

# Handle translations
qt6_add_translations(mx-system-sounds
    TS_FILES ${TRANSLATION_FILES}
    LRELEASE_OPTIONS -compress -nounfinished -removeidentical -silent
    QM_FILES_OUTPUT_VARIABLE qm_files
)



# Set target properties
set_target_properties(mx-system-sounds PROPERTIES
    OUTPUT_NAME "mx-system-sounds"
    RUNTIME_OUTPUT_DIRECTORY ${CMAKE_BINARY_DIR}
)



# Install target (required by Debian build system)
# Other files are handled by debian/install
install(TARGETS mx-system-sounds
    RUNTIME DESTINATION bin
)

## mx-system-sounds 18.11

=== debian/changelog ===
mx-system-sounds (18.11) mx; urgency=medium

  * updated translations

 -- Adrian <adrian@mxlinux.org>  Fri, 30 Nov 2018 14:54:31 -0500

mx-system-sounds (18.10) mx; urgency=medium

  * updated translations

 -- Adrian <adrian@mxlinux.org>  Sun, 14 Oct 2018 20:20:30 -0400

mx-system-sounds (18.8) mx; urgency=medium

  * fix icon other themes

 -- Adrian <adrian@mxlinux.org>  Sat, 11 Aug 2018 23:01:10 -0400

mx-system-sounds (18.6.1) mx; urgency=medium

  * added changelog button

 -- Adrian <adrian@mxlinux.org>  Thu, 28 Jun 2018 16:59:06 -0400

mx-system-sounds (18.6) mx; urgency=medium

  * new translations

 -- Adrian <adrian@mxlinux.org>  Mon, 18 Jun 2018 17:41:38 -0400

mx-system-sounds (18.03) mx; urgency=medium

  * updated translations

 -- dolphin <dolphin@littlebyte>  Thu, 01 Mar 2018 19:26:51 -0500

mx-system-sounds (17.12) mx; urgency=medium

  * updated translations
  
 -- dolphin <dolphinoracle@gmail.com>  Sun, 03 Nov 2017 20:11:26 -0500

mx-system-sounds (18.2) mx; urgency=medium

  * new translations

 -- Adrian <adrian@mxlinux.org>  Sat, 10 Feb 2018 02:26:06 -0500

mx-system-sounds (17.11+2) mx; urgency=medium

  * changed default button
  * changed help function 

 -- dolphin <dolphinoracle@gmail.com>  Thu, 30 Nov 2017 19:31:49 -0500

mx-system-sounds (17.11+1) mx; urgency=medium

  * fix LANG detection

 -- Adrian <adrian@mxlinux.org>  Sat, 11 Nov 2017 18:51:24 -0500

mx-system-sounds (17.11) mx; urgency=medium

  * added FR help link

 -- Adrian <adrian@mxlinux.org>  Fri, 10 Nov 2017 11:48:14 -0500

mx-system-sounds (17.6mx16) mx; urgency=medium

  * updated translations

 -- Adrian <adrian@mxlinux.org>  Fri, 02 Jun 2017 16:37:23 -0400

mx-system-sounds (17.5mx16+2) mx; urgency=medium

  * changed file chooser default directory to /usr/share/sounds or the folder of the custom sound

 -- dolphinoracle <dolphinoracle@gmail>  Sat, 20 May 2017 07:14:39 -0400

mx-system-sounds (17.5mx16+1) mx; urgency=medium

  * update icons

 -- Adrian <adrian@mxlinux.org>  Wed, 10 May 2017 15:47:20 -0400

mx-system-sounds (17.5mx16) mx; urgency=medium

  * new translations

 -- Adrian <adrian@mxlinux.org>  Mon, 08 May 2017 11:57:37 -0400

mx-system-sounds (17.04mx16) mx; urgency=medium

  * refreshed translations, new debs

 -- dolphin oracle <dolphinoracle@gmail.com>  Mon, 10 Apr 2017 11:56:02 -0500

mx-system-sounds (16.11mx16+2) mx; urgency=medium

  * new translations

 -- Adrian <adrian@mxlinux.org>  Wed, 30 Nov 2016 12:48:04 -0500

mx-system-sounds (16.11mx16+1) mx; urgency=medium

  * minor change to "apply" button

 -- dolphin oracle <dolphinoracle@gmail.com>  Sun, 20 Nov 2016 11:56:02 -0500

mx-system-sounds (16.11mx16) mx; urgency=medium

  * new translations

 -- Adrian <adrian@mxlinux.org>  Wed, 16 Nov 2016 13:40:02 -0500

mx-system-sounds (16.10mx16+1) mx; urgency=medium

  * new desktop file

 -- dolphin oracle <dolphinoracle@gmail.com>  Sat, 15 Oct 2016 13:22:15 -0400

mx-system-sounds (16.10mx16) mx; urgency=medium

  * changed URLs

 -- Adrian <adrian@mxlinux.org>  Mon, 10 Oct 2016 14:09:05 -0400

mx-system-sounds (16.5mx15) mx; urgency=medium

  * new desktop file

 -- dolphin oracle <dolphinoracle@gmail.com>  Mon, 23 May 2016 13:22:15 -0400

mx-system-sounds (16.4.1mx15) mx; urgency=medium

  * change control file dependencies
  * 

 -- dolphin oracle <dolphinoracle@gmail.com>  Thu, 21 Apr 2016 14:28:15 -0400

mx-system-sounds (16.4mx15) mx; urgency=medium

  * added translations

 -- Adrian <adrian@mxlinux.org>  Mon, 18 Apr 2016 18:30:37 -0400

mx-system-sounds (0.16.9) mx; urgency=medium

  [ dolphin_oracle ]
  *  working ui,mostly
  * fixed file dialog box issue
  * fixed playback with files with spaces
  * added mx logo icon
  * string change suggestions by Old Giza incorporated
  * changed .conf settings to false by default

  [ Adrian ]
  * minor code changes, style, naming

  [ dolphin_oracle ]
  * 

 -- dolphin_oracle <dolphin@littlebyte>  Thu, 31 Mar 2016 11:35:59 -0400

=== debian/control ===
Source: mx-system-sounds
Section: admin
Priority: optional
Maintainer: Adrian <adrian@mxlinux.org>
Build-Depends: qt5-default, qttools5-dev-tools,
	debhelper (>=9)
Standards-Version: 3.9.8
Vcs-Git: git://github.com/mx-linux/mx-system-sounds

Package: mx-system-sounds
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}, mx-viewer, mx-sound-theme, libcanberra-gstreamer, libcanberra-pulse, libcanberra-gtk-module
Description: MX System Sounds
 MX System Sounds is a tool for selecting the system sounds in MX Linux

## mx-system-sounds 19.1

=== debian/changelog ===
mx-system-sounds (19.1) mx; urgency=medium

  * updated translations

 -- Adrian <adrian@mxlinux.org>  Wed, 23 Jan 2019 16:35:28 -0500

## mx-system-sounds 19.4

=== debian/changelog ===
mx-system-sounds (19.4) mx; urgency=medium

  * updated translations

 -- Adrian <adrian@mxlinux.org>  Fri, 05 Apr 2019 11:57:16 -0400

## mx-system-sounds 19.07.01

=== debian/changelog ===
mx-system-sounds (19.07.01) mx; urgency=medium

  * get scripts out of usr/local/bin 

 -- Dolphin Oracle <dolphinoracle@gmail.com>  Mon, 22 Jul 2019 19:26:23 -0400

## mx-system-sounds 19.07.02

=== debian/changelog ===
mx-system-sounds (19.07.02) mx; urgency=medium

  * update for xfce 4.14
  * remove diversion on xfce4-session
  * use new session hooks for logout sound

 -- Dolphin Oracle <dolphinoracle@gmail.com>  Thu, 25 Jul 2019 18:41:05 -0400

## mx-system-sounds 19.8.01

=== debian/changelog ===
mx-system-sounds (19.8) mx; urgency=medium

  * added offline help file

 -- Adrian <adrian@mxlinux.org>  Wed, 21 Aug 2019 15:25:20 -0400

## mx-system-sounds 19.8.02

=== debian/changelog ===
mx-system-sounds (19.8.02) mx; urgency=medium

  * translation update 

 -- Dolphin Oracle <dolphinoracle@gmail.com>  Tue, 27 Aug 2019 21:36:06 -0400

mx-system-sounds (19.8.01) mx; urgency=medium

  * added offline help file

 -- Adrian <adrian@mxlinux.org>  Wed, 21 Aug 2019 15:25:20 -0400
 

## mx-system-sounds 19.8.03

=== debian/changelog ===
mx-system-sounds (19.8.03) mx; urgency=medium

  * additional autostart files for logout sound at shutdown/reboot

 -- Dolphin Oracle <dolphinoracle@gmail.com>  Wed, 28 Aug 2019 17:58:38 -0400

## mx-system-sounds 19.9.01

=== debian/changelog ===
mx-system-sounds (19.9.01) mx; urgency=medium

  * translation refresh 

 -- Dolphin Oracle <dolphinoracle@gmail.com>  Sat, 28 Sep 2019 15:01:58 -0400

=== debian/control ===
Source: mx-system-sounds
Section: admin
Priority: optional
Maintainer: Adrian <adrian@mxlinux.org>
Build-Depends: debhelper (>=9), 
	qtbase5-dev, 
	qttools5-dev-tools
Standards-Version: 3.9.8
Vcs-Git: git://github.com/mx-linux/mx-system-sounds

Package: mx-system-sounds
Architecture: any
Depends: libcanberra-gstreamer,
         libcanberra-gtk-module,
         libcanberra-pulse,
         mx-sound-theme,
         mx-viewer,
         ${misc:Depends},
         ${shlibs:Depends}
Description: MX System Sounds
 MX System Sounds is a tool for selecting the system sounds in MX Linux

=== debian/rules ===
#!/usr/bin/make -f
export QT_SELECT=5

QMAKE_OPTS = DEFINES+=NO_DEBUG_ON_CONSOLE
MAKE_OPTS  = QMAKE=qmake-qt5 LRELEASE=lrelease-qt5 QMAKE_OPTS="$(QMAKE_OPTS)"

override_dh_auto_clean:
	dh_auto_clean
	rm -f src/translations/*.qm

override_dh_auto_build:
	lrelease mx-system-sounds.pro
	dh_auto_build -- $(MAKE_OPTS)

override_dh_auto_install:
	dh_auto_install -- $(MAKE_OPTS)

override_dh_builddeb:
	dh_builddeb -- -Z xz

override_dh_shlibdeps:
	dh_shlibdeps --dpkg-shlibdeps-params=--ignore-missing-info

override_dh_usrlocal:

%:
	dh $@ --parallel

## mx-system-sounds 19.9.02

=== debian/changelog ===
mx-system-sounds (19.9.02) mx; urgency=medium

  * translation refresh

 -- Adrian <adrian@mxlinux.org>  Sun, 29 Sep 2019 21:01:07 -0400

=== debian/control ===
--- 
+++ 
@@ -2,9 +2,7 @@
 Section: admin
 Priority: optional
 Maintainer: Adrian <adrian@mxlinux.org>
-Build-Depends: debhelper (>=9), 
-	qtbase5-dev, 
-	qttools5-dev-tools
+Build-Depends: debhelper (>=9), qtbase5-dev, qttools5-dev-tools
 Standards-Version: 3.9.8
 Vcs-Git: git://github.com/mx-linux/mx-system-sounds

## mx-system-sounds 19.10

=== debian/changelog ===
mx-system-sounds (19.10) mx; urgency=medium

  * revised control file 

 -- Dolphin Oracle <dolphinoracle@gmail.com>  Sat, 19 Oct 2019 18:18:25 -0400

=== debian/control ===
Source: mx-system-sounds
Section: admin
Priority: optional
Maintainer: Adrian <adrian@mxlinux.org>
Build-Depends: debhelper (>=9), qt5-default, qttools5-dev-tools
Standards-Version: 3.9.8
Vcs-Git: git://github.com/mx-linux/mx-system-sounds

Package: mx-system-sounds
Architecture: any
Depends: libcanberra-gstreamer,
         libcanberra-gtk-module,
         mx-sound-theme,
         mx-viewer,
         ${misc:Depends},
         ${shlibs:Depends}
Recommends:  libcanberra-pulse
Description: MX System Sounds
 MX System Sounds is a tool for selecting the system sounds in MX Linux

## mx-system-sounds 20.02.01

=== debian/changelog ===
mx-system-sounds (20.02.01) mx; urgency=medium

  * add check for xfce 

 -- Dolphin Oracle <dolphinoracle@gmail.com>  Tue, 04 Feb 2020 20:42:27 -0500

mx-system-sounds (19.10.01) mx; urgency=medium

  * adjust control file 

 -- Dolphin Oracle <dolphinoracle@gmail.com>  Sat, 19 Oct 2019 17:37:10 -0400

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: admin
 Priority: optional
 Maintainer: Adrian <adrian@mxlinux.org>
-Build-Depends: debhelper (>=9), qt5-default, qttools5-dev-tools
+Build-Depends: debhelper (>=9), qtbase5-dev, qttools5-dev-tools
 Standards-Version: 3.9.8
 Vcs-Git: git://github.com/mx-linux/mx-system-sounds
 
@@ -14,6 +14,6 @@
          mx-viewer,
          ${misc:Depends},
          ${shlibs:Depends}
-Recommends:  libcanberra-pulse
+Recommends: libcanberra-pulse
 Description: MX System Sounds
  MX System Sounds is a tool for selecting the system sounds in MX Linux

## mx-system-sounds 21.07.01

=== debian/changelog ===
mx-system-sounds (21.07.01) mx; urgency=medium

  * update config file locations 

 -- Dolphin Oracle <dolphinoracle@gmail.com>  Fri, 16 Jul 2021 21:17:55 -0400

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: admin
 Priority: optional
 Maintainer: Adrian <adrian@mxlinux.org>
-Build-Depends: debhelper (>=9), qtbase5-dev, qttools5-dev-tools
+Build-Depends: debhelper (>=10), qtbase5-dev, qttools5-dev-tools
 Standards-Version: 3.9.8
 Vcs-Git: git://github.com/mx-linux/mx-system-sounds

## mx-system-sounds 21.10.01

=== debian/changelog ===
mx-system-sounds (21.10.01) mx; urgency=medium

  *  fix startup & logout sound scripts

 -- Dolphin Oracle <dolphinoracle@gmail.com>  Tue, 26 Oct 2021 06:53:30 -0400

## mx-system-sounds 22.8

=== debian/changelog ===
mx-system-sounds (22.8) mx; urgency=medium

  * Remove mx-viewer dependency

 -- Adrian <adrian@mxlinux.org>  Tue, 02 Aug 2022 18:59:55 -0400

## mx-system-sounds 22.10.01

=== debian/changelog ===
mx-system-sounds (22.10) mx; urgency=medium

  * translations 

 -- Dolphin Oracle <dolphinoracle@gmail.com>  Wed, 26 Oct 2022 20:09:58 -0400

## mx-system-sounds 22.11.01

=== debian/changelog ===
mx-system-sounds (22.10.01) mx; urgency=medium

  * fix string sources 

 -- Dolphin Oracle <dolphinoracle@gmail.com>  Fri, 28 Oct 2022 16:06:53 -0400

## mx-system-sounds 22.11.02

=== debian/changelog ===
mx-system-sounds (22.11.02) mx; urgency=medium

  * fix faulty logic
  * add home folder sounds to search terms on_apply 

 -- Dolphin Oracle <dolphinoracle@gmail.com>  Tue, 15 Nov 2022 19:30:03 -0500

mx-system-sounds (22.11.01) mx; urgency=medium

  * add scanning home folder .local/share/sounds 

 -- Dolphin Oracle <dolphinoracle@gmail.com>  Sun, 13 Nov 2022 09:16:23 -0500

## mx-system-sounds 23.04.01mx23

=== debian/changelog ===
mx-system-sounds (23.04.01mx23) mx; urgency=medium

  * remove logout sound function
  * delay playing login sound so pipewire can load

 -- Dolphin Oracle <dolphinoracle@gmail.com>  Sun, 09 Apr 2023 12:40:59 -0400

## mx-system-sounds 23.05.01mx23

=== debian/changelog ===
mx-system-sounds (23.05.01mx23) mx; urgency=medium

  * update logo 

 -- Dolphin Oracle <dolphinoracle@gmail.com>  Wed, 17 May 2023 00:41:09 -0400

## mx-system-sounds 23.7

=== debian/changelog ===
mx-system-sounds (23.7) mx; urgency=medium

  * Update translations

 -- Adrian <adrian@mxlinux.org>  Thu, 20 Jul 2023 17:31:16 -0400

## mx-system-sounds 23.7.01

=== debian/changelog ===
mx-system-sounds (23.7.01) mx; urgency=medium

  * correct XFCE check at app launch

 -- Dolphin Oracle <dolphinoracle@gmail.com>  Sat, 22 Jul 2023 10:01:43 -0400

=== debian/control ===
--- 
+++ 
@@ -11,7 +11,7 @@
 Depends: libcanberra-gstreamer,
          libcanberra-gtk-module,
          mx-sound-theme,
-         mx-viewer,
+         mx-viewer | xdg-utils,
          ${misc:Depends},
          ${shlibs:Depends}
 Recommends: libcanberra-pulse

=== debian/rules ===
--- 
+++ 
@@ -15,13 +15,10 @@
 override_dh_auto_install:
 	dh_auto_install -- $(MAKE_OPTS)
 
-override_dh_builddeb:
-	dh_builddeb -- -Z xz
-
 override_dh_shlibdeps:
 	dh_shlibdeps --dpkg-shlibdeps-params=--ignore-missing-info
 
 override_dh_usrlocal:
 
 %:
-	dh $@ --parallel 
+	dh $@ --no-automatic-dbgsym --parallel

## mx-system-sounds 24.3.01mx23

=== debian/changelog ===
mx-system-sounds (24.3.01mx23) mx; urgency=medium

  * update translations

 -- Dolphin Oracle <dolphinoracle@gmail.com>  Sat, 23 Mar 2024 13:51:51 -0400

mx-system-sounds (23.7.02) mx; urgency=medium

  * update language processing

 -- Dolphin Oracle <dolphinoracle@gmail.com>  Sat, 22 Jul 2023 16:17:15 -0400

## mx-system-sounds 25.2.01mx23

=== debian/changelog ===
mx-system-sounds (25.2.01mx23) mx; urgency=medium

  * wait for sound server before playing login

 -- Dolphin Oracle <dolphinoracle@gmail.com>  Sat, 08 Feb 2025 21:27:16 -0500

## mx-system-sounds 25.2.02mx23

=== debian/changelog ===
mx-system-sounds (25.2.02mx23) mx; urgency=medium

  * improve soundserver checking
  * wait for xfce4-session (possible dbus conflict)
  * don't do anything if login sound not configured true

 -- Dolphin Oracle <dolphinoracle@gmail.com>  Thu, 13 Feb 2025 18:41:51 -0500

## mx-system-sounds 25.2.03mx23

=== debian/changelog ===
mx-system-sounds (25.2.03mx23) mx; urgency=medium

  * fix typo in startupsound-mx (thanks takobaba)

 -- Dolphin Oracle <dolphinoracle@gmail.com>  Sun, 16 Feb 2025 16:14:13 -0500

## mx-system-sounds 25.2.04mx23

=== debian/changelog ===
mx-system-sounds (25.2.04mx23) mx; urgency=medium

  * one more bash syntax fix

 -- Dolphin Oracle <dolphinoracle@gmail.com>  Sun, 16 Feb 2025 18:15:51 -0500

## mx-system-sounds 25.3.01mx23

=== debian/changelog ===
mx-system-sounds (25.3.01mx23) mx; urgency=medium

  * update checks
  * old check can fail on systemd systems
  * ensure login sound attempts playback on timeout

 -- Dolphin Oracle <dolphinoracle@gmail.com>  Sun, 23 Mar 2025 12:36:43 -0400

## mx-system-sounds 25.3.02mx23

=== debian/changelog ===
mx-system-sounds (25.3.02mx23) mx; urgency=medium

  * additional adjustments to sound server check
  * if no soundserver, or timeout, just try playing the sound anyway

 -- Dolphin Oracle <dolphinoracle@gmail.com>  Mon, 24 Mar 2025 20:57:59 -0400

=== debian/rules ===
--- 
+++ 
@@ -9,7 +9,7 @@
 	rm -f src/translations/*.qm
 
 override_dh_auto_build:
-	lrelease mx-system-sounds.pro
+	lrelease translations/*.ts
 	dh_auto_build -- $(MAKE_OPTS)
 
 override_dh_auto_install:

## mx-system-sounds 25.4mx23

=== debian/changelog ===
mx-system-sounds (25.4mx23) mx; urgency=medium

  * Update to Qt6

 -- Adrian <adrian@mxlinux.org>  Thu, 24 Apr 2025 18:34:34 -0400

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: admin
 Priority: optional
 Maintainer: Adrian <adrian@mxlinux.org>
-Build-Depends: debhelper (>=10), qtbase5-dev, qttools5-dev-tools
+Build-Depends: debhelper (>=10), qt6-base-dev, qt6-base-dev-tools, qt6-tools-dev, qt6-tools-dev-tools
 Standards-Version: 3.9.8
 Vcs-Git: git://github.com/mx-linux/mx-system-sounds

## mx-system-sounds 26.1mx25

=== debian/changelog ===
mx-system-sounds (26.1mx25) mx; urgency=medium

  [timkb4cq]
  * use libcanberra-gtk3-module
  [dolphin oracle]
  * update translations 

 -- Dolphin Oracle <dolphinoracle@gmail.com>  Fri, 09 Jan 2026 20:39:34 -0500

=== debian/control ===
Source: mx-system-sounds
Section: admin
Priority: optional
Maintainer: Adrian <adrian@mxlinux.org>
Build-Depends: debhelper-compat (=12), cmake (>= 3.16), ninja-build, qt6-base-dev, qt6-base-dev-tools, qt6-tools-dev, qt6-tools-dev-tools
Standards-Version: 3.9.8
Vcs-Git: git://github.com/MX-Linux/mx-system-sounds
Homepage: https://github.com/MX-Linux/mx-system-sounds

Package: mx-system-sounds
Architecture: any
Depends: libcanberra-gstreamer,
         libcanberra-gtk3-module,
         mx-sound-theme,
         mx-viewer | xdg-utils,
         ${misc:Depends},
         ${shlibs:Depends}
Recommends: libcanberra-pulse, mx-launcher-l10n
Description: System sound configuration tool for MX Linux
 MX System Sounds is a graphical utility that allows users to easily
 configure and customize system sound events in MX Linux. It provides
 a user-friendly interface for:
  * Enabling or disabling system sounds
  * Selecting sound themes
  * Customizing individual sound events
